# This file created by conda-build 3.20.5
# meta.yaml template originally from:
# C:\ci\containers\000038dbak8\tmp\build\80754af9\combined_recipe, last modified Fri Oct 30 23:40:08 2020
# ------------------------------------------------

package:
    name: ipython
    version: 7.19.0
source:
    sha256: cbb2ef3d5961d44e6a963b9817d4ea4e1fa2eb589c371a470fed14d8d40cbd6a
    url: https://pypi.io/packages/source/i/ipython/ipython-7.19.0.tar.gz
build:
    entry_points:
        - iptest = IPython.testing.iptestcontroller:main
        - iptest3 = IPython.testing.iptestcontroller:main
        - ipython = IPython:start_ipython
        - ipython3 = IPython:start_ipython
    number: '0'
    script: C:\\ci\\ipython_1604101327119\\_h_env\\python.exe -m pip install . -vv
    string: py37hd4e2768_0
requirements:
    host:
        - ca-certificates 2020.10.14 0
        - certifi 2020.6.20 pyhd3eb1b0_3
        - openssl 1.1.1h he774522_0
        - pip 20.2.4 py37_0
        - python 3.7.9 h60c2a47_0
        - setuptools 50.3.0 py37h9490d1a_1
        - sqlite 3.33.0 h2a8f88b_0
        - vc 14.1 h0510ff6_4
        - vs2015_runtime 14.16.27012 hf0eaf9b_3
        - wheel 0.35.1 py_0
        - wincertstore 0.2 py37_0
        - zlib 1.2.11 h62dcd97_4
    run:
        - backcall
        - colorama
        - decorator
        - jedi >=0.10
        - pickleshare
        - prompt-toolkit !=3.0.0,!=3.0.1,<3.1.0,>=2.0.0
        - pygments
        - python >=3.7,<3.8.0a0
        - setuptools >=18.5
        - traitlets >=4.2
test:
    commands:
        - ipython -h
        - ipython3 -h
        - set NOSE_EXCLUDE="recursion|home_dir_3|home_dir_5|store_restore|storemagic"
            && iptest
        - python -m pip check
    imports:
        - IPython
        - IPython.core
        - IPython.core.magics
        - IPython.core.tests
        - IPython.extensions
        - IPython.extensions.tests
        - IPython.external
        - IPython.external.decorators
        - IPython.lib
        - IPython.lib.tests
        - IPython.sphinxext
        - IPython.terminal
        - IPython.terminal.pt_inputhooks
        - IPython.terminal.tests
        - IPython.testing
        - IPython.testing.plugin
        - IPython.testing.tests
        - IPython.utils
        - IPython.utils.tests
    requires:
        - ipykernel
        - matplotlib
        - nbformat
        - nose >=0.10.1
        - numpy
        - pip
        - pygments
        - requests
        - testpath
about:
    description: 'IPython provides a rich architecture for interactive computing with

        a powerful interactive shell, a kernel for Jupyter, high performance

        tools for parallel computing, and more.

        '
    dev_url: https://github.com/ipython/ipython
    doc_url: https://ipython.readthedocs.io
    home: https://ipython.org
    license: BSD-3-Clause
    license_family: BSD
    license_file: LICENSE
    summary: 'IPython: Productive Interactive Computing'
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - Carreau
        - blink1073
        - bollwyvl
        - ellisonbg
        - fperez
        - jakirkham
        - minrk
        - ocefpaf
        - pelson
        - takluyver
